cvs-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Cvs-cvs] Changes to ccvs/configure


From: Derek Robert Price
Subject: [Cvs-cvs] Changes to ccvs/configure
Date: Sun, 04 Sep 2005 02:02:01 -0400

Index: ccvs/configure
diff -u ccvs/configure:1.409 ccvs/configure:1.410
--- ccvs/configure:1.409        Sat Sep  3 20:46:04 2005
+++ ccvs/configure      Sun Sep  4 06:01:58 2005
@@ -976,9 +976,10 @@
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --without-included-regex don't compile regex; this is the default on
-                          systems with recent-enough versions of the GNU C
-                          Library (use with caution on other systems)
+  --without-included-regex
+                          don't compile regex; this is the default on systems
+                          with recent-enough versions of the GNU C Library
+                          (use with caution on other systems)
   --with-gnu-ld           assume the C compiler uses GNU ld default=no
   --with-libiconv-prefix[=DIR]  search for libiconv in DIR/include and DIR/lib
   --without-libiconv-prefix     don't search for libiconv in includedir and 
libdir
@@ -1473,6 +1474,10 @@
 gl_func_list="$gl_func_list isascii"
 gl_header_list="$gl_header_list sys/param.h"
 gl_header_list="$gl_header_list stdio_ext.h"
+gl_header_list="$gl_header_list termios.h"
+gl_func_list="$gl_func_list __fsetlocking"
+gl_func_list="$gl_func_list tcgetattr"
+gl_func_list="$gl_func_list tcsetattr"
 gl_func_list="$gl_func_list gettimeofday"
 gl_func_list="$gl_func_list nanotime"
 gl_header_list="$gl_header_list stdint.h"
@@ -10851,7 +10856,7 @@
   fi
 
 
-  GETOPT_H=
+  if test -z "$GETOPT_H"; then
 
 for ac_header in getopt.h
 do
@@ -11004,6 +11009,8 @@
 
 done
 
+  fi
+
   if test -z "$GETOPT_H"; then
 
 for ac_func in getopt_long_only
@@ -11384,6 +11391,30 @@
 
 
 
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
       echo "$as_me:$LINENO: checking whether fflush_unlocked is declared" >&5
 echo $ECHO_N "checking whether fflush_unlocked is declared... $ECHO_C" >&6
 if test "${ac_cv_have_decl_fflush_unlocked+set}" = set; then
@@ -19822,6 +19853,22 @@
 
 
 
+
+
+
+  :
+
+
+
+
+
+
+
+
+
+
+
+
   :
 
 
@@ -19840,7 +19887,6 @@
 
 
 
-  :
 
 
 cat >>confdefs.h <<\_ACEOF
@@ -21952,24 +21998,36 @@
 
 
 
+cat >>confdefs.h <<\_ACEOF
+#define _REGEX_LARGE_OFFSETS 1
+_ACEOF
+
+
 
 
 
-    # Assume we'll default to using the included regex.c.
-    ac_use_included_regex=yes
+# Check whether --with-included-regex or --without-included-regex was given.
+if test "${with_included_regex+set}" = set; then
+  withval="$with_included_regex"
 
-    # However, if the system regex support is good enough that it passes the
-    # the following run test, then default to *not* using the included regex.c.
+fi;
+
+  case $with_included_regex in
+  yes|no) ac_use_included_regex=$with_included_regex
+       ;;
+  '')
+    # If the system regex support is good enough that it passes the the
+    # following run test, then default to *not* using the included regex.c.
     # If cross compiling, assume the test would fail and use the included
     # regex.c.  The first failing regular expression is from `Spencer ere
     # test #75' in grep-2.3.
     echo "$as_me:$LINENO: checking for working re_compile_pattern" >&5
 echo $ECHO_N "checking for working re_compile_pattern... $ECHO_C" >&6
-if test "${gl_cv_func_working_re_compile_pattern+set}" = set; then
+if test "${gl_cv_func_re_compile_pattern_broken+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-        gl_cv_func_working_re_compile_pattern=no
+         gl_cv_func_re_compile_pattern_broken=yes
 else
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -21978,65 +22036,76 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-            #include <regex.h>
+          #include <regex.h>
 int
 main ()
 {
 static struct re_pattern_buffer regex;
-             const char *s;
-             struct re_registers regs;
-             re_set_syntax (RE_SYNTAX_POSIX_EGREP);
-             memset (&regex, 0, sizeof (regex));
-             s = re_compile_pattern ("a[:]:]b\n", 9, &regex);
-             /* This should fail with _Invalid character class name_ error.  */
-             if (!s)
-               exit (1);
-
-             /* This should succeed, but does not for e.g. glibc-2.1.3.  */
-             memset (&regex, 0, sizeof (regex));
-             s = re_compile_pattern ("{1", 2, &regex);
-
-             if (s)
-               exit (1);
-
-             /* The following example is derived from a problem report
-                against gawk from Jorge Stolfi <address@hidden>.  */
-             memset (&regex, 0, sizeof (regex));
-             s = re_compile_pattern ("[an\371]*n", 7, &regex);
-             if (s)
-               exit (1);
-
-             /* This should match, but does not for e.g. glibc-2.2.1.  */
-             if (re_match (&regex, "an", 2, 0, &regs) != 2)
-               exit (1);
-
-             memset (&regex, 0, sizeof (regex));
-             s = re_compile_pattern ("x", 1, &regex);
-             if (s)
-               exit (1);
-
-             /* The version of regex.c in e.g. GNU libc-2.2.93 did not
-                work with a negative RANGE argument.  */
-             if (re_search (&regex, "wxy", 3, 2, -2, &regs) != 1)
-               exit (1);
-
-             /* The version of regex.c in older versions of gnulib
-              * ignored RE_ICASE.  Detect that problem too. */
-             memset (&regex, 0, sizeof (regex));
-             re_set_syntax(RE_SYNTAX_EMACS|RE_ICASE);
-             s = re_compile_pattern ("x", 1, &regex);
-             if (s)
-               exit (1);
-
-             if (re_search (&regex, "WXY", 3, 0, 3, &regs) < 0)
-               exit (1);
-
-             /* REG_STARTEND was added to glibc on 2004-01-15.
-                Reject older versions.  */
-             if (! REG_STARTEND)
-               exit (1);
+           const char *s;
+           struct re_registers regs;
+           /* Use the POSIX-compliant spelling with leading REG_,
+              rather than the traditional GNU spelling with leading RE_,
+              so that we reject older libc implementations.  */
+           re_set_syntax (REG_SYNTAX_POSIX_EGREP);
+           memset (&regex, 0, sizeof (regex));
+           s = re_compile_pattern ("a[:]:]b\n", 9, &regex);
+           /* This should fail with _Invalid character class name_ error.  */
+           if (!s)
+             exit (1);
+
+           /* This should succeed, but does not for e.g. glibc-2.1.3.  */
+           memset (&regex, 0, sizeof (regex));
+           s = re_compile_pattern ("{1", 2, &regex);
+
+           if (s)
+             exit (1);
+
+           /* The following example is derived from a problem report
+              against gawk from Jorge Stolfi <address@hidden>.  */
+           memset (&regex, 0, sizeof (regex));
+           s = re_compile_pattern ("[an\371]*n", 7, &regex);
+           if (s)
+             exit (1);
+
+           /* This should match, but does not for e.g. glibc-2.2.1.  */
+           if (re_match (&regex, "an", 2, 0, &regs) != 2)
+             exit (1);
+
+           memset (&regex, 0, sizeof (regex));
+           s = re_compile_pattern ("x", 1, &regex);
+           if (s)
+             exit (1);
+
+           /* The version of regex.c in e.g. GNU libc-2.2.93 did not
+              work with a negative RANGE argument.  */
+           if (re_search (&regex, "wxy", 3, 2, -2, &regs) != 1)
+             exit (1);
+
+           /* The version of regex.c in older versions of gnulib
+              ignored REG_IGNORE_CASE (which was then called RE_ICASE).
+              Detect that problem too.  */
+           memset (&regex, 0, sizeof (regex));
+           re_set_syntax (REG_SYNTAX_EMACS | REG_IGNORE_CASE);
+           s = re_compile_pattern ("x", 1, &regex);
+           if (s)
+             exit (1);
+
+           if (re_search (&regex, "WXY", 3, 0, 3, &regs) < 0)
+             exit (1);
+
+           /* REG_STARTEND was added to glibc on 2004-01-15.
+              Reject older versions.  */
+           if (! REG_STARTEND)
+             exit (1);
+
+           /* Reject hosts whose regoff_t values are too narrow.
+              These include glibc 2.3.5 on hosts with 64-bit off_t
+              and 32-bit int, and Solaris 10 on hosts with 32-bit int
+              and _FILE_OFFSET_BITS=64.  */
+           if (sizeof (regoff_t) < sizeof (off_t))
+             exit (1);
 
-             exit (0);
+           exit (0);
   ;
   return 0;
 }
@@ -22052,39 +22121,30 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  gl_cv_func_working_re_compile_pattern=yes
+  gl_cv_func_re_compile_pattern_broken=no
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-gl_cv_func_working_re_compile_pattern=no
+gl_cv_func_re_compile_pattern_broken=yes
 fi
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
 fi
 fi
-echo "$as_me:$LINENO: result: $gl_cv_func_working_re_compile_pattern" >&5
-echo "${ECHO_T}$gl_cv_func_working_re_compile_pattern" >&6
-    if test $gl_cv_func_working_re_compile_pattern = yes; then
-      ac_use_included_regex=no
-    fi
-
-    test -n "lib/regex.c" || { { echo "$as_me:$LINENO: error: missing 
argument" >&5
-echo "$as_me: error: missing argument" >&2;}
+echo "$as_me:$LINENO: result: $gl_cv_func_re_compile_pattern_broken" >&5
+echo "${ECHO_T}$gl_cv_func_re_compile_pattern_broken" >&6
+    ac_use_included_regex=$gl_cv_func_re_compile_pattern_broken
+    ;;
+  *) { { echo "$as_me:$LINENO: error: Invalid value for --with-included-regex: 
$with_included_regex" >&5
+echo "$as_me: error: Invalid value for --with-included-regex: 
$with_included_regex" >&2;}
    { (exit 1); exit 1; }; }
+    ;;
+  esac
 
-
-
-# Check whether --with-included-regex or --without-included-regex was given.
-if test "${with_included_regex+set}" = set; then
-  withval="$with_included_regex"
-  gl_with_regex=$withval
-else
-  gl_with_regex=$ac_use_included_regex
-fi;
-       if test "X$gl_with_regex" = Xyes; then
-         case $LIBOBJS in
+  if test $ac_use_included_regex = yes; then
+    case $LIBOBJS in
     "regex.$ac_objext"   | \
   *" regex.$ac_objext"   | \
     "regex.$ac_objext "* | \
@@ -22096,6 +22156,7 @@
 
 
 
+
   :
 
 
@@ -22128,10 +22189,7 @@
 
 
 
-       fi
-
-
-
+  fi
 
 
  echo "$as_me:$LINENO: checking whether rename is broken" >&5
@@ -24750,13 +24808,24 @@
 
 
 
+      case $LIBOBJS in
+    "strcasecmp.$ac_objext"   | \
+  *" strcasecmp.$ac_objext"   | \
+    "strcasecmp.$ac_objext "* | \
+  *" strcasecmp.$ac_objext "* ) ;;
+  *) LIBOBJS="$LIBOBJS strcasecmp.$ac_objext" ;;
+esac
 
-for ac_func in strcasecmp
-do
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_func" >&5
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
-if eval "test \"\${$as_ac_var+set}\" = set"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define strcasecmp rpl_strcasecmp
+_ACEOF
+
+
+
+    echo "$as_me:$LINENO: checking whether mbrtowc and mbstate_t are properly 
declared" >&5
+echo $ECHO_N "checking whether mbrtowc and mbstate_t are properly declared... 
$ECHO_C" >&6
+if test "${gl_cv_func_mbrtowc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -24765,47 +24834,15 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares 
$ac_func.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define $ac_func innocuous_$ac_func
-
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $ac_func (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
-
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
-
-#undef $ac_func
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-{
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char $ac_func ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
-choke me
-#else
-char (*f) () = $ac_func;
-#endif
-#ifdef __cplusplus
-}
-#endif
-
+#include <wchar.h>
 int
 main ()
 {
-return f != $ac_func;
+wchar_t wc;
+              char const s[] = "";
+              size_t n = 1;
+              mbstate_t state;
+              return ! (sizeof state && (mbrtowc) (&wc, s, n, &state));
   ;
   return 0;
 }
@@ -24832,41 +24869,27 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  eval "$as_ac_var=yes"
+  gl_cv_func_mbrtowc=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-eval "$as_ac_var=no"
+gl_cv_func_mbrtowc=no
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
-if test `eval echo '${'$as_ac_var'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
-
-else
-  case $LIBOBJS in
-    "$ac_func.$ac_objext"   | \
-  *" $ac_func.$ac_objext"   | \
-    "$ac_func.$ac_objext "* | \
-  *" $ac_func.$ac_objext "* ) ;;
-  *) LIBOBJS="$LIBOBJS $ac_func.$ac_objext" ;;
-esac
-
-fi
-done
+echo "$as_me:$LINENO: result: $gl_cv_func_mbrtowc" >&5
+echo "${ECHO_T}$gl_cv_func_mbrtowc" >&6
+  if test $gl_cv_func_mbrtowc = yes; then
 
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MBRTOWC 1
+_ACEOF
 
-  if test $ac_cv_func_strcasecmp = no; then
+  fi
 
-  :
 
-  fi
 
 
 
@@ -25233,13 +25256,24 @@
 
 
 
+      case $LIBOBJS in
+    "strstr.$ac_objext"   | \
+  *" strstr.$ac_objext"   | \
+    "strstr.$ac_objext "* | \
+  *" strstr.$ac_objext "* ) ;;
+  *) LIBOBJS="$LIBOBJS strstr.$ac_objext" ;;
+esac
 
-for ac_func in strstr
-do
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_func" >&5
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
-if eval "test \"\${$as_ac_var+set}\" = set"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define strstr rpl_strstr
+_ACEOF
+
+
+
+    echo "$as_me:$LINENO: checking whether mbrtowc and mbstate_t are properly 
declared" >&5
+echo $ECHO_N "checking whether mbrtowc and mbstate_t are properly declared... 
$ECHO_C" >&6
+if test "${gl_cv_func_mbrtowc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -25248,47 +25282,15 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares 
$ac_func.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define $ac_func innocuous_$ac_func
-
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $ac_func (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
-
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
-
-#undef $ac_func
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-{
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char $ac_func ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
-choke me
-#else
-char (*f) () = $ac_func;
-#endif
-#ifdef __cplusplus
-}
-#endif
-
+#include <wchar.h>
 int
 main ()
 {
-return f != $ac_func;
+wchar_t wc;
+              char const s[] = "";
+              size_t n = 1;
+              mbstate_t state;
+              return ! (sizeof state && (mbrtowc) (&wc, s, n, &state));
   ;
   return 0;
 }
@@ -25315,39 +25317,27 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  eval "$as_ac_var=yes"
+  gl_cv_func_mbrtowc=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-eval "$as_ac_var=no"
+gl_cv_func_mbrtowc=no
 fi
 rm -f conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
-if test `eval echo '${'$as_ac_var'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+echo "$as_me:$LINENO: result: $gl_cv_func_mbrtowc" >&5
+echo "${ECHO_T}$gl_cv_func_mbrtowc" >&6
+  if test $gl_cv_func_mbrtowc = yes; then
 
-else
-  case $LIBOBJS in
-    "$ac_func.$ac_objext"   | \
-  *" $ac_func.$ac_objext"   | \
-    "$ac_func.$ac_objext "* | \
-  *" $ac_func.$ac_objext "* ) ;;
-  *) LIBOBJS="$LIBOBJS $ac_func.$ac_objext" ;;
-esac
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MBRTOWC 1
+_ACEOF
 
-fi
-done
+  fi
 
 
-  if test $ac_cv_func_strstr = no; then
-    :
-  fi
 
 
 
@@ -26063,6 +26053,14 @@
   *) LIBOBJS="$LIBOBJS fd-safer.$ac_objext" ;;
 esac
 
+  case $LIBOBJS in
+    "pipe-safer.$ac_objext"   | \
+  *" pipe-safer.$ac_objext"   | \
+    "pipe-safer.$ac_objext "* | \
+  *" pipe-safer.$ac_objext "* ) ;;
+  *) LIBOBJS="$LIBOBJS pipe-safer.$ac_objext" ;;
+esac
+
 
 
 
@@ -26620,6 +26618,16 @@
 
 
 
+  case $LIBOBJS in
+    "xgetcwd.$ac_objext"   | \
+  *" xgetcwd.$ac_objext"   | \
+    "xgetcwd.$ac_objext "* | \
+  *" xgetcwd.$ac_objext "* ) ;;
+  *) LIBOBJS="$LIBOBJS xgetcwd.$ac_objext" ;;
+esac
+
+
+
 
 
 
@@ -27328,6 +27336,26 @@
 fi;
 
 
+                  acl_libdirstem=lib
+  searchpath=`(LC_ALL=C $CC -print-search-dirs) 2>/dev/null | sed -n -e 
's,^libraries: ,,p' | sed -e 's,^=,,'`
+  if test -n "$searchpath"; then
+    acl_save_IFS="${IFS=       }"; IFS=":"
+    for searchdir in $searchpath; do
+      if test -d "$searchdir"; then
+        case "$searchdir" in
+          */lib64/ | */lib64 ) acl_libdirstem=lib64 ;;
+          *) searchdir=`cd "$searchdir" && pwd`
+             case "$searchdir" in
+               */lib64 ) acl_libdirstem=lib64 ;;
+             esac ;;
+        esac
+      fi
+    done
+    IFS="$acl_save_IFS"
+  fi
+
+
+
 
 
 
@@ -27369,7 +27397,7 @@
 
       else
         additional_includedir="$withval/include"
-        additional_libdir="$withval/lib"
+        additional_libdir="$withval/$acl_libdirstem"
       fi
     fi
 
@@ -27466,7 +27494,7 @@
           if test "X$found_dir" != "X"; then
                         LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$found_dir 
-l$name"
             if test "X$found_so" != "X"; then
-                                                        if test 
"$enable_rpath" = no || test "X$found_dir" = "X/usr/lib"; then
+                                                        if test 
"$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
                                 LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
               else
                                                                                
 haveit=
@@ -27531,8 +27559,8 @@
             fi
                         additional_includedir=
             case "$found_dir" in
-              */lib | */lib/)
-                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 's,/lib/*$,,'`
+              */$acl_libdirstem | */$acl_libdirstem/)
+                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 
"s,/$acl_libdirstem/"'*$,,'`
                 additional_includedir="$basedir/include"
                 ;;
             esac
@@ -27581,9 +27609,9 @@
                 case "$dep" in
                   -L*)
                     additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
-                                                                               
                                                                                
 if test "X$additional_libdir" != "X/usr/lib"; then
+                                                                               
                                                                                
 if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
                       haveit=
-                      if test "X$additional_libdir" = "X/usr/local/lib"; then
+                      if test "X$additional_libdir" = 
"X/usr/local/$acl_libdirstem"; then
                         if test -n "$GCC"; then
                           case $host_os in
                             linux* | gnu* | k*bsd*-gnu) haveit=yes;;
@@ -28121,6 +28149,7 @@
 
 
 
+
     use_additional=yes
 
   acl_save_prefix="$prefix"
@@ -28157,7 +28186,7 @@
 
       else
         additional_includedir="$withval/include"
-        additional_libdir="$withval/lib"
+        additional_libdir="$withval/$acl_libdirstem"
       fi
     fi
 
@@ -28254,7 +28283,7 @@
           if test "X$found_dir" != "X"; then
                         LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$found_dir 
-l$name"
             if test "X$found_so" != "X"; then
-                                                        if test 
"$enable_rpath" = no || test "X$found_dir" = "X/usr/lib"; then
+                                                        if test 
"$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
                                 LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
               else
                                                                                
 haveit=
@@ -28319,8 +28348,8 @@
             fi
                         additional_includedir=
             case "$found_dir" in
-              */lib | */lib/)
-                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 's,/lib/*$,,'`
+              */$acl_libdirstem | */$acl_libdirstem/)
+                basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 
"s,/$acl_libdirstem/"'*$,,'`
                 additional_includedir="$basedir/include"
                 ;;
             esac
@@ -28369,9 +28398,9 @@
                 case "$dep" in
                   -L*)
                     additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
-                                                                               
                                                                                
 if test "X$additional_libdir" != "X/usr/lib"; then
+                                                                               
                                                                                
 if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
                       haveit=
-                      if test "X$additional_libdir" = "X/usr/local/lib"; then
+                      if test "X$additional_libdir" = 
"X/usr/local/$acl_libdirstem"; then
                         if test -n "$GCC"; then
                           case $host_os in
                             linux* | gnu* | k*bsd*-gnu) haveit=yes;;




reply via email to

[Prev in Thread] Current Thread [Next in Thread]